Summary: The Advanced Linux Sound Architecture (ALSA) library.
Name: alsa-lib
Version: 1.0.6
Release: 4
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}%{?prever}.tar.bz2
Patch: alsa-lib-assert.patch
URL: http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: doxygen
Prereq: /sbin/ldconfig

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA runtime libraries to simplify application
programming and provide higher level functionality as well as support for
the older OSS API, providing binary compatibility for most OSS programs.

%package devel
Summary: Static libraries and header files from the ALSA library.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

%prep
%setup -q -n %{name}-%{version}%{?prever}
%patch -p1

%build
%configure \
    --enable-static=yes \
    --datadir=/etc
make %{?_smp_mflags}
make doc

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}/%{_lib}

mv %{buildroot}%{_libdir}/libasound.so.* %{buildroot}/%{_lib}
ln -snf ../../%{_lib}/libasound.so.2 %{buildroot}%{_libdir}/libasound.so


mv %{buildroot}/etc/aclocal %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%triggerpostun -- alsa-lib < 1.0.6-2
ln -snf ../../etc/alsa %{_datadir}/alsa

%files
%defattr(-, root, root)
%doc COPYING ChangeLog TODO doc/asoundrc.txt
%{_bindir}/alsalisp
%{_bindir}/aserver
/%{_lib}/libasound.so.*
/etc/alsa

%files devel
%defattr(-, root, root)
%doc doc/doxygen
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/libasound.so
%{_libdir}/libasound.a
%exclude %{_libdir}/libasound.la
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%changelog
* Tue Nov 30 2004 Bill Nottingham <notting@redhat.com> 1.0.6-4
- fix bad assertion that trips up gstreamer (fixes GNOME bug #159647)

* Thu Oct 14 2004 Bill Nottingham <notting@redhat.com> 1.0.6-3
- move libraries & data to root fs, needed at boot time

* Mon Aug 30 2004 Bill Nottingham <notting@redhat.com> 1.0.6-1
- update to 1.0.6

* Fri Jul  2 2004 Bill Nottingham <notting@redhat.com> 1.0.5-1
- update to 1.0.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 17 2004 Colin Walters <walters@redhat.com> 1.0.4-1
- New upstream version

* Mon May 03 2004 Colin Walters <walters@redhat.com> 1.0.3a-2
- Add patch to avoid assert()ing on errors

* Thu Mar 11 2004 Bill Nottingham <notting@redhat.com> 1.0.3a-1
- update to 1.0.3a

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Bill Nottingham <notting@redhat.com> 1.0.2-1
- update to 1.0.2

* Thu Dec 11 2003 Bill Nottingham <notting@redhat.com> 1.0.0rc2-1
- update to 1.0.0rc2

* Mon Dec  1 2003 Bill Nottingham <notting@redhat.com> 0.9.8-3
- fix various specfile issues, including License: tag (#111153)

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 0.9.8-2
- fixed dependant libraries check on x86_64

* Mon Nov  4 2003 Bill Nottingham <notting@redhat.com> - 0.9.8-1
- initial build, modify spec file from Matthias Saou
